## org.eclipse.datatools.sqltools.editor.template
Class SQLTemplate

    java.lang.Object
      Template
          org.eclipse.datatools.sqltools.editor.template.SQLTemplate

All Implemented Interfaces:
  TemplateConstant

public class SQLTemplate
extends Template
implements TemplateConstant

This class extends `Template` to add attribute 'template id'.

Author:
  lihuang
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.editor.template.TemplateConstant
`AND, ASTERISK, BEGIN, COMMA, DECLARE, DELETE, DOT, DOUBLE_QUOTE, END, EQUAL, EXECUTE, FROM, INSERT, INT, INTELLIGENT_TEMPLATE, LEFT_PARENTHESIS, NEWLINE, NEWLINENUMBER, OUTPUT, RIGHT_PARENTHESIS, SELECT, SEMICOLON, SET, SPACE, TAB, UPDATE, UPDATELINENUMBER, VALUES, VAR, WHERE`

Constructor Summary
`SQLTemplate()` Creates an empty template.
`SQLTemplate(SQLTemplate template)` Creates a copy of a template.
`SQLTemplate(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String contextTypeId, java.lang.String pattern)` Creates a template.
`SQLTemplate(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.String contextTypeId, java.lang.String pattern, boolean isAutoInsertable, java.lang.String proposalDescription)` Creates a template.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getId()`
`java.lang.String` `getProposalPopupDescription()`
`void` `setId(java.lang.String id)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLTemplate

    public SQLTemplate()

  Creates an empty template.

### SQLTemplate

    public SQLTemplate(SQLTemplate template)

  Creates a copy of a template.

Parameters:
  `template` - the template to copy

### SQLTemplate

    public SQLTemplate(java.lang.String id,
                       java.lang.String name,
                       java.lang.String description,
                       java.lang.String contextTypeId,
                       java.lang.String pattern)

  Creates a template.

Parameters:
  `name` - the name of the template
  `description` - the description of the template
  `contextTypeId` - the id of the context type in which the template can be applied
  `pattern` - the template pattern

### SQLTemplate

    public SQLTemplate(java.lang.String id,
                       java.lang.String name,
                       java.lang.String description,
                       java.lang.String contextTypeId,
                       java.lang.String pattern,
                       boolean isAutoInsertable,
                       java.lang.String proposalDescription)

  Creates a template.

Parameters:
  `name` - the name of the template
  `description` - the description of the template
  `contextTypeId` - the id of the context type in which the template can be applied
  `pattern` - the template pattern
  `isAutoInsertable` - the auto insertable property of the template
Since:
  3.1

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getProposalPopupDescription

    public java.lang.String getProposalPopupDescription()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.